#include <iostream>

using namespace std;

int main()
{
    string rec;
    cin >> rec; // get user input from the keyboard
    //cout << "Your name is: " << rec[0];
    int duzina = rec.length();
    int i;
    int br=0;
    if((duzina%2)!=0)
    {
       int n = duzina/2+1;
        for(i=0;i<n-1;i++)
        {

            if(rec[i]!=rec[duzina-1])
            {
                br++;
            }
            duzina--;

        }
        br++;

    }
    else
    {
        int n = duzina/2;

        for(i=0;i<n;i++)
        {
            if(rec[i]!=rec[duzina-1])
            {
                br++;
            }
           duzina--;

        }

    }
    cout << br;
    return 0;
}